## php-guzzlehttp-message-integrity-subscriber 0.2.0

=== Makefile ===
all: clean coverage

test:
	vendor/bin/phpunit $(TEST)

coverage:
	vendor/bin/phpunit --coverage-html=build/artifacts/coverage $(TEST)

view-coverage:
	open build/artifacts/coverage/index.html

clean:
	rm -rf build/artifacts/*

.PHONY: coverage

=== debian/changelog ===
php-guzzlehttp-message-integrity-subscriber (0.2.0-2) unstable; urgency=medium

  * Shorten synopsis (Closes: #782152)
  * Provide homemade autoload.php

 -- David Prévot <taffit@debian.org>  Fri, 24 Apr 2015 14:24:34 -0400

php-guzzlehttp-message-integrity-subscriber (0.2.0-1) unstable; urgency=low

  * Initial release

 -- David Prévot <taffit@debian.org>  Sat, 18 Oct 2014 18:49:27 -0400

=== debian/control ===
Source: php-guzzlehttp-message-integrity-subscriber
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9),
               php-guzzlehttp (>= 5.2.0-2),
               phpab,
               phpunit,
               pkg-php-tools (>= 1.7~)
Standards-Version: 3.9.6
Homepage: https://github.com/guzzle/message-integrity-subscriber
Vcs-Git: git://anonscm.debian.org/pkg-php/php-guzzlehttp-message-integrity-subscriber.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-guzzlehttp-message-integrity-subscriber.git

Package: php-guzzlehttp-message-integrity-subscriber
Architecture: all
Depends: php-guzzlehttp (>= 5.2.0-2),
         ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 This plugin can be used, for example, to validate the message
 integrity of responses based on the Content-MD5 header. The plugin
 offers a convenience method for validating a Content-MD5 header.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab   --output src/autoload.php \
		--template debian/autoload.php.tpl \
		src

get-orig-source:
	uscan --verbose --rename --force

=== debian/tests/control ===
Test-Command: phpunit --bootstrap /usr/share/php/GuzzleHttp/Subscriber/MessageIntegrity/autoload.php
Depends: @, phpunit
